-- ----------------------------------------------------------------------------
-- Copyright (C) 2012 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: French Canadian TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Julie"
language = "French (Canada)"
marc_code = "051"
language_id = "51"
id = "51002"
config_file = "french_ca_tts/config_tts.lua"
audio_files_path = "french_ca_tts/french_ca_tts"
rulesets_file = "french_ca_tts/french_ca_tts/rulesets_frc.txt"
userdictionary_file = "french_ca_tts/french_ca_tts/udct_frc.dat"
apdb = "apdb/julie/nm"
audio_files_version = "0.3.0.2012031601"
feature_list = { "metric", "imperial_uk", "imperial_us" }
client_range = "[ client >= 1.4.6.0 ; client < 1.7.0.0 ]"

maneuver_check = {
    ["END"] = "vous arriverez à destination",                             -- You will reach your destination
    ["STOPOVER"] = "vous arriverez à un relais",                          -- You will reach a stopover
    ["JUNCTION"] = nil,                                                   -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                              -- the junction
    ["ROUNDABOUT"] = "au rond-point,",                                    -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "prenez la sortie",                             -- take the exit
    ["UTURN"] = "effectuez un demi-tour",                                 -- Make a uturn
    ["ENTER_HIGHWAY"] = "prenez l'autoroute",
    ["LEAVE_HIGHWAY"] = "prenez la sortie",                               -- take the exit
    ["CONTINUE_HIGHWAY"] = "prenez la sortie",                            -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "prenez l'autoroute",
    ["LEAVE_URBAN_HIGHWAY"] = "prenez la sortie",                         -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "prenez la sortie",
    ["DRIVE_TO_NEAREST_ROAD"] = "Conduisez jusqu'à la route la plus proche",        -- drive to nearest road 
    ["FERRY"] = "prenez le traversier"
}

maneuver_turns_car = {
    ["NO_TURN"] = "allez tout droit",
    ["KEEP_MIDDLE"] = "prenez la voie du centre",
    ["KEEP_RIGHT"] = "restez à droite",
    ["LIGHT_RIGHT"] = "tournez légèrement à droite",
    ["QUITE_RIGHT"] = "tournez à droite",
    ["HEAVY_RIGHT"] = "tournez complètement à droite",
    ["RETURN"] = "effectuez un demi-tour",
    ["HEAVY_LEFT"] = "tournez complètement à gauche",
    ["QUITE_LEFT"] = "tournez à gauche",
    ["LIGHT_LEFT"] = "tournez légèrement à gauche",
    ["KEEP_LEFT"] = "restez à gauche",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "allez tout droit",
    ["KEEP_MIDDLE"] = "allez tout droit",
    ["KEEP_RIGHT"] = "prenez la rue de droite",
    ["LIGHT_RIGHT"] = "tournez légèrement à droite",
    ["QUITE_RIGHT"] = "tournez à droite",
    ["HEAVY_RIGHT"] = "tournez complètement à droite",
    ["RETURN"] = "effectuez un demi-tour",
    ["HEAVY_LEFT"] = "tournez complètement à gauche",
    ["QUITE_LEFT"] = "tournez à gauche",
    ["LIGHT_LEFT"] = "tournez légèrement à gauche",
    ["KEEP_LEFT"] = "prenez la rue de gauche",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "traversez l'immeuble ",
    ["SQUARE"] = "traversez la place",
    ["PARK"] = "traversez le parc",
    ["STAIRS"] = "prenez l'escalier",
    ["ELEVATOR"] = "prenez l'ascenseur",
    ["ESCALATOR"] = "prenez l'escalier"
}

final_command = {
    ["END"] = "Vous êtes arrivés à destination",                  -- You have reached your destination
    ["STOPOVER"] = "Vous êtes arrivés à un relais"                -- You have reached a stopover
}

exit_number_check = {
    [1] = {"prenez la première sortie", "tournez à la première rue"},           -- take the first exit
    [2] = {"prenez la deuxième sortie", "tournez à la deuxième rue"},           -- take the second exit
    [3] = {"prenez la troisième sortie", "tournez à la troisième rue"},         -- take the third exit
    [4] = {"prenez la quatrième sortie", "tournez à la quatrième rue"},         -- take the fourth exit
    [5] = {"prenez la cinquième sortie", "tournez à la cinquième rue"},         -- take the fifth exit
    [6] = {"prenez la sixième sortie", "tournez à la sixième rue"},             -- take the sixth exit
    [7] = {"prenez la septième sortie", "prenez la septième sortie"},           -- take the seventh exit
    [8] = {"prenez la huitième sortie", "prenez la huitième sortie"},           -- take the eighth exit
    [9] = {"prenez la neuvième sortie", "prenez la neuvième sortie"},           -- take the ninth exit
    [10] = {"prenez la dixième sortie", "prenez la dixième sortie"},            -- take the tenth exit
    [11] = {"prenez la onzième sortie", "prenez la onzième sortie"},            -- take the eleventh exit
    [12] = {"prenez la douzième sortie", "prenez la douzième sortie"}           -- take the twelfth exit
}

unit = {                        
    ["MILE"] = "mille,",
    ["YARDS"] = "verges,",
    ["FEET"] = "pieds",
    ["KILOMETER"] = "kilomètre,",
    ["METERS"] = "mètres,",
    ["METER"] = "mètres,",
    ["KILOMETERS"] = "kilomètres,",
    ["MILES"] = "milles,",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

unit_follow = {                        
    ["MILE"] = "mille",
    ["YARDS"] = "verges",
    ["FEET"] = "pieds",
    ["KILOMETER"] = "kilomètre",
    ["METERS"] = "mètres",
    ["METER"] = "mètres",
    ["KILOMETERS"] = "kilomètres",
    ["MILES"] = "milles",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "le nord",
    ["NORTH_EAST"] = "le nord-est",
    ["EAST"] = "l'est",
    ["SOUTH_EAST"] = "le sud-est",
    ["SOUTH"] = "le sud",
    ["SOUTH_WEST"] = "le sud-ouest",
    ["WEST"] = "l'ouest",
    ["NORTH_WEST"] = "le nord-ouest"
}

misc = { 
    ["gps_signal_lost_wav"] = "Signal GPS perdu",
    ["gps_signal_restored_wav"] = "La connexion GPS est rétablie",
 --   ["no_gps_signal_wav"] = "Pas de connexion GPS",
    ["route_recalculation_wav"] = "Nouveau calcul d'itinéraire",
    ["now_wav"] = "Maintenant,",
    ["end_of_street_wav"] = "Au bout de la route",
    ["follow_motorway_wav"] = "Suivez l'autoroute",
    ["follow_road_wav"] = "Suivez la route ",
    ["for_wav"] = "pendant",
    ["after_wav"] = "Après",
    ["the_junction_wav"] = "le croisement,",
    ["half_a_mile_wav"] = "un demi-mille",
    ["quarter_a_mile_wav"] = "un quart de mille,",
    ["three_quarter_of_mile_wav"] = "trois quart de mile",
    ["immediately_wav"] = "immédiatement",
    ["safety_camara_ahead_wav"] = "Caméra de sécurité devant",
    --["over_speed_limit_wav"] = "Observez la limite de vitesse",
    ["traffic_automatic_detour_wav"] = "Trafic intense sur cet itinéraire, détour en cours",
    ["traffic_manual_detour_wav"] = "Trafic intense sur cet itinéraire, voulez-vous faire un détour?",
    ["no_detour_possible"] = "Pas de détour trouvé pour contourner le trafic",
    ["and_wav"] = "et ensuite",
    ["and_then_wav"] = "et ensuite",
    ["and_continue_on_wav"] = "et continuez sur",
    ["towards_wav"] = "vers",
    ["turn_wav"] = "tournez",
    ["onto_wav"] = "sur",
    ["exit_wav"] = "prenez la sortie",
    ["second_right_wav"] = "prenez la deuxième rue à droite",
    ["second_left_wav"] = "prenez la deuxième rue à gauche",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "marchez à gauche le long du rond-point",
    ["walk_right_roundabout_wav"] = "marchez à droite le long du rond-point",
    ["walk_roundabout_wav"] = "marchez autour du rond-point",
    ["head_wav"] = "Dirigez-vous vers",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "sur",
    ["the_footpath_wav"] = "le sentier"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav",
	["speed_limit_beeps"] = "g5war_speed_limit_soft4edit9.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


